## org.eclipse.datatools.connectivity.sqm.core.rte.jdbc
Class JDBCView

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl
                                      org.eclipse.datatools.modelbase.sql.tables.impl.DerivedTableImpl
                                          org.eclipse.datatools.modelbase.sql.tables.impl.ViewTableImpl
                                              org.eclipse.datatools.connectivity.sqm.core.rte.jdbc.JDBCView

All Implemented Interfaces:
  ICatalogObject, SQLObject, DerivedTable, Table, ViewTable, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

Direct Known Subclasses:
  IngresViewTableImpl

    public class JDBCView

extends org.eclipse.datatools.modelbase.sql.tables.impl.ViewTableImpl
implements ICatalogObject

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`JDBCView()`

Method Summary
`boolean` `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`Database` `getCatalogDatabase()`
`org.eclipse.emf.common.util.EList` `getColumns()` Returns the value of the 'Columns' containment reference list.
`java.sql.Connection` `getConnection()`
`org.eclipse.emf.common.util.EList` `getIndex()` Returns the value of the 'Index' reference list.
`Table` `getSupertable()` Returns the value of the 'Supertable' reference.
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.ViewTableImpl
`eGet, eIsSet, eSet, eUnset, getCheckType, setCheckType, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.DerivedTableImpl
`basicSetQueryExpression, eInverseRemove, getQueryExpression, setQueryExpression`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl
`basicGetSchema, basicGetSupertable, basicGetUdt, basicSetSchema, basicSetSupertable, eInverseAdd, getSchema, getSelfRefColumnGeneration, getSubtables, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.DerivedTable
`getQueryExpression, setQueryExpression`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getSchema, getSelfRefColumnGeneration, getSubtables, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### JDBCView

    public JDBCView()

Method Detail

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### getColumns

    public org.eclipse.emf.common.util.EList getColumns()

  Description copied from interface: `Table`
  Returns the value of the 'Columns' containment reference list. The list contents are of type `Column`. It is bidirectional and its opposite is '`Table`'.

  If the meaning of the 'Columns' containment reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getColumns` in interface `Table`
  Overrides:
    `getColumns` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl`
  Returns:
    the value of the 'Columns' containment reference list.
  See Also:
    `SQLTablesPackage.getTable_Columns()`, `Column.getTable()`

### getIndex

    public org.eclipse.emf.common.util.EList getIndex()

  Description copied from interface: `Table`
  Returns the value of the 'Index' reference list. The list contents are of type `Index`. It is bidirectional and its opposite is '`Table`'.

  If the meaning of the 'Index' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getIndex` in interface `Table`
  Overrides:
    `getIndex` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl`
  Returns:
    the value of the 'Index' reference list.
  See Also:
    `SQLTablesPackage.getTable_Index()`, `Index.getTable()`

### getSupertable

    public Table getSupertable()

  Description copied from interface: `Table`
  Returns the value of the 'Supertable' reference. It is bidirectional and its opposite is '`Subtables`'.

  If the meaning of the 'Supertable' reference isn't clear, there really should be more of a description here...

  Specified by:
    `getSupertable` in interface `Table`
  Overrides:
    `getSupertable` in class `org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl`
  Returns:
    the value of the 'Supertable' reference.
  See Also:
    `Table.setSupertable(Table)`, `SQLTablesPackage.getTable_Supertable()`, `Table.getSubtables()`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`